org.eclipse.rdf4j.sail.shacl

## Class CloseablePeakableIteration<E,X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.CloseablePeakableIteration<E,X>

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<E,X>, Iteration<E,X>

      @InternalUseOnly
      public class CloseablePeakableIteration<E,X extends Exception>
      extends Object
      implements CloseableIteration<E,X>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloseablePeakableIteration(CloseableIteration<E,X> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes this iteration, freeing any resources that it is holding.
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `E` | `next()` Returns the next element in the iteration.
    `E` | `peek()`
    `void` | `remove()` Removes from the underlying collection the last element returned by the iteration (optional operation).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### CloseablePeakableIteration

          public CloseablePeakableIteration(CloseableIteration<E,X> parent)

  - ### Method Detail

    - #### close

          public void close()
                     throws X extends Exception

      Description copied from interface: `CloseableIteration`
      Closes this iteration, freeing any resources that it is holding. If the iteration has already been closed then invoking this method has no effect.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `CloseableIteration<E,X extends Exception>`
      Throws:
        `X extends Exception`

    - #### hasNext

          public boolean hasNext()
                          throws X extends Exception

      Description copied from interface: `Iteration`
      Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iteration.next()` would return an element rather than throwing a `NoSuchElementException`.)
      Specified by:
        `hasNext` in interface `Iteration<E,X extends Exception>`
      Returns:
        `true` if the iteration has more elements.
      Throws:
        `X`
        `X extends Exception`

    - #### next

          public E next()
                 throws X extends Exception

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Specified by:
        `next` in interface `Iteration<E,X extends Exception>`
      Returns:
        the next element in the iteration.
      Throws:
        `X extends Exception`

    - #### remove

          public void remove()
                      throws X extends Exception

      Description copied from interface: `Iteration`
      Removes from the underlying collection the last element returned by the iteration (optional operation). This method can be called only once per call to next.
      Specified by:
        `remove` in interface `Iteration<E,X extends Exception>`
      Throws:
        `X extends Exception`

    - #### peek

          public E peek()
                 throws X extends Exception

      Throws:
        `X extends Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.